package com.pss.pssgerenciamentoderepublica.view;

import javax.swing.JButton;
import javax.swing.JTable;

public class ManterMoradoresView extends javax.swing.JFrame {

    /**
     * Creates new form ManterMoradoresView
     */
    public ManterMoradoresView() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnConvidar = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblMoradores = new javax.swing.JTable();
        btnVerHistorico = new javax.swing.JButton();
        btnRemoverDaRepublica = new javax.swing.JButton();
        btnEditar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Manter Moradores da República");

        btnConvidar.setText("Convidar Morador / Sem Teto");

        tblMoradores.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null}
            },
            new String [] {
                "Nome", "Data de Ingresso", "Rateio %"
            }
        ));
        jScrollPane1.setViewportView(tblMoradores);

        btnVerHistorico.setText("Ver Histórico");

        btnRemoverDaRepublica.setText("Remover da República");

        btnEditar.setText("Editar");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 536, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(btnConvidar, javax.swing.GroupLayout.PREFERRED_SIZE, 265, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(btnEditar)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnRemoverDaRepublica)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(btnVerHistorico)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(btnConvidar)
                .addGap(18, 18, 18)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 79, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 35, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnVerHistorico)
                    .addComponent(btnRemoverDaRepublica)
                    .addComponent(btnEditar))
                .addGap(16, 16, 16))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnConvidar;
    private javax.swing.JButton btnEditar;
    private javax.swing.JButton btnRemoverDaRepublica;
    private javax.swing.JButton btnVerHistorico;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable tblMoradores;
    // End of variables declaration//GEN-END:variables

    public JButton getBtnConvidar() {
        return btnConvidar;
    }

    public JButton getBtnEditar() {
        return btnEditar;
    }

    public JButton getBtnRemoverDaRepublica() {
        return btnRemoverDaRepublica;
    }

    public JButton getBtnVerHistorico() {
        return btnVerHistorico;
    }

    public JTable getTblMoradores() {
        return tblMoradores;
    }
}
